Fermer le menu   
header

Canonical envisage une rolling release pour Ubuntu

par Stéphane Moussie le 24 janvier 2013 à 17:42

Alors qu'OS X et Windows adoptent un cycle de mise à jour annuel, Canonical pourrait choisir une approche différente pour Ubuntu. À l'heure actuelle, une nouvelle version stable d'Ubuntu est disponible tous les six mois. Elle est identifiable par son numéro qui reprend l'année en cours puis le mois — la dernière version en date, parue en octobre 2012, est Ubuntu 12.10. Ubuntu 12.10 sera ainsi suivi par la version 13.04 en avril, 13.10 en octobre et 14.04 en avril 2014.

En parallèle, tous les deux ans une version du système publié au mois d'avril est LTS (Long Term Support), signifiant qu'elle bénéficie notamment de mises à jour pour une durée prolongée. Depuis Ubuntu 12.04 LTS, le support d'une LTS est assuré pendant cinq ans.

Leann Ogasawara qui est à la tête de l'équipe en charge du kernel de l'OS a expliqué dans un chat vidéo que ce rythme pourrait changer. Il n'y aurait plus de nouvelles versions tous les six mois mais seulement les LTS tous les deux ans à compter d'Ubuntu 14.04. Entre chaque LTS, Ubuntu serait en rolling release. Ce qui signifie que dès qu'une mise à jour est prête, elle est déployée. Un fonctionnement qui se rapproche de ce que fait Google avec Chrome, faisant gonfler au passage très rapidement le numéro de version. Pour rester dans l'univers de Linux, Arch Linux est en rolling release.

Leann Ogasawara met en avant le gain de souplesse pour justifier ce choix. « Rien n'est gravé dans le marbre », indique-t-elle cependant et Canonical devrait écouter les retours des utilisateurs.

Catégorie : 
Tags : 

Commentaire(s)

avatar lukasmars 24/01/2013 - 17:54

A voir , Shuttleworth à toujours été contre.
Elle m' a l'air très jeune pour être en charge du Kernel au passage...

avatar joneskind 24/01/2013 - 18:07

Ils me gonflent un peu Canonical avec Ubuntu. Quand on a une vieille machine qu'on met en LTS, on aimerait bien pouvoir continuer d'avoir accès aux dépôts de cette version, histoire de pouvoir installer un soft dont on ne connaissait pas l'existence. Sauf qu'en l'état, une fois la date du LTS dépassée, il n'y à plus moyen d'accéder aux dépôts, et ta bécane est brutalement obsolète. Si t'as le malheur d'avoir oublié de faire une copie de sauvegarde de ton système à jour, t'es cuit. Seule solution, passer à la LTS suivante sans garantie de compatibilité. Alors Ok, y a toujours les Xubuntu et les Lubuntu qui permettent d'alléger la machine, mais ça peut parfois être synonymes de désagréments. Par exemple, Gnome Office est devenue exécrable sur la 12.04 alors qu'elle tournait très bien sur la 8.04... Flash ne tourne plus du tout sur cette vieille machine (moi j'm'en fous mais pas la propriétaire de la-dite machine). Bref, Canonical me gonfle. Et je ne parle même pas du débat Gnome vs Metacity, ou de l'affichage "tête haute"... Ouais le monde du libre n'est pas tout rose chez Canonical...

avatar oomu 24/01/2013 - 18:11

@lukasmars [24/01/2013 17:54]

si ça avait été un ado bien mâle, sa jeunesse vous aurait pas dérangé, vous auriez dit "voilà un geek bien de chez nous pour faire du linux".

Vous seriez étonné de combien les vidéos basses qualités rajeunissent les gens

son activité sur ubuntu:
https://launchpad.net/~leannogasawara
C'est du respectable.

Son profil chez Canonical
https://wiki.ubuntu.com/LeannOgasawara
Quality Assurance Engineer. Une fonction qu'une femme peut assumer bien avant 77 ans.

Son profil google+ pour voir ses rides
https://plus.google.com/102785118851091018068/posts

Et son interview pour mieux la connaitre.
http://www.omgubuntu.co.uk/2012/08/omg-interviews-leann-ogasawara-canonical-kernel-team-manager-marathoner-and-mother

Elle n'a que 10 ans d'ancienneté sur Linux (commencé à 8 ans ?) et 5 chez canonical. Certainement pas assez donc, vu qu'il faut être + vieux que Alan Cox pour avoir le droit de gérer le noyau d'une distribution.

avatar oomu 24/01/2013 - 18:17

@joneskind [24/01/2013 18:07]

mais c'est gratuit. Pour maintenir à vie (combien de temps faut il ? 7 ans pour vous ? 10 pour moi ? 25 ans pour Bob ? ) il faudrait payer pour financer Canonical.

La solution, c'est d'assumer vous ce coût en faisant un miroir des dépôts LTS.

avatar lmouillart 24/01/2013 - 18:23

@joneskind

C'est pour cela qu'il existe : http://old-releases.ubuntu.com/

avatar joneskind 24/01/2013 - 19:04

@Oomu

Tes 2 commentaires sont tout à fait justes.

et @lmouillart

Merci beaucoup ! Je m'endors moins con (et surtout moins rageux envers Canonical) et j'ai une solution à mon problème. Donc tu dis que je vais retrouver les dépôts complets là-bas ? Que j'aurai qu'à ajouter les sources en route ma poule ?

avatar lmouillart 24/01/2013 - 19:11

@joneskind oui, par exemple :
deb http://old-releases.ubuntu.com/ubuntu/ breezy main
etc ....

Après je ne sais pas si il existe des miroirs locaux. Puis si les systèmes sont plus maintenus, ça veut dire que les trous de sécurités etc sont pas corrigés, bref j'irais pas sur le net avec un truc comme ça.

avatar oomu 24/01/2013 - 19:16

peut être que les backports peuvent aider ? https://help.ubuntu.com/community/UbuntuBackports

avatar BenUp 24/01/2013 - 20:16

@joneskind

Toi il te faut une Debian je ne sens !!! Si tu souhaites maîtriser l'ensemble.

avatar lmouillart 24/01/2013 - 20:17

@oomu Non malheureusement ce n'est pas l'objectif des backports d'Ubuntu.

Pour des systèmes desktop qui doivent être maintenus très longtemps sur une même branche il faut mieux passer sur des Redhat Desktop(50$ par an ou Centos) avec un peu plus de 10 ans de support.
Ubuntu LTS Desktop c'était 3, maintenant c'est 5 ans.

avatar BenUp 24/01/2013 - 20:20

@oomu

Attention c'est un dépôt qui à des versions avancées ou à jour après le gèle des dépôts officiels.

avatar lemail2mi 24/01/2013 - 20:21

@joneskind ou utilise debian!
Il y a un mécanisme d'archivage progressif.
http://wiki.debian.org/DebianOldStable
http://www.debian.org/distrib/archive

avatar BenUp 24/01/2013 - 20:27

@lemail2mi

Tu peux éditer ton fichier de dépôt en mettant stable au lieu du nom de ta version.
C'est une forme de rolling car tu monteras toujours dans le upgrade de version en version. Sinon tu figes et tu reste dans ta version.

avatar joneskind 24/01/2013 - 20:40

@lmouillart :

Donc en gros si je te suis bien je peux toujours installer une version ancienne d'Ubuntu mais je m'expose à des failles de sécurité ? Donc on en revient à une espèce d'obsolescence programmée de cinq ans pour un système qui tourne bien... C'est quand même super frustrant !

@Beny la tambouille

Si je passe sur une Debian je risque pas d'avoir le même problème d'obsolescence au bout d'un moment ? Comment ça fonctionne si par exemple je veux conserver l'équivalent d'Hardy Heron pour les drivers et les logiciels qui peuvent servir ?

avatar BenUp 24/01/2013 - 20:40

http://korben.info/generateur-de-sources-list-pour-ubuntu.html

A croire que le Tonton Korben lit MacG ^^

avatar BenUp 24/01/2013 - 20:49

@joneskind

Quitte le bord de mer pour venir dans les terres lointaines et j'ouvrirai ton esprit avec Debian et un bon rhum !

avatar Domsou 24/01/2013 - 20:56

@joneskind :
J'ai laissé tombé Ubuntu l'an dernier (ou il y a 2 ans ?) à cause du même soucis que vous.
Je suis passé à une Debian de base qui fonctionne nickel et nécessite quasiment aucun entretien. Vraiment parfait pour mon usage de bac à sable pour du développement Ada.

avatar lmouillart 24/01/2013 - 20:56

@BenUp Debian étant supportée 3 ans c'est une mauvaise idée.

avatar f3nr1l 24/01/2013 - 21:08

@joneskind:
On peut toujours installer des paquets sur une LTS bien après la sortie de la suivante:

$ cat /etc/issue
Ubuntu 10.04.3 LTS \n \l

$ sudo apt-get install away
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les NOUVEAUX paquets suivants seront installés :
away
0 mis à jour, 1 nouvellement installés, 0 à enlever et 193 non mis à jour.
Il est nécessaire de prendre 18,9ko dans les archives.
Après cette opération, 127ko d'espace disque supplémentaires seront utilisés.
Réception de : 1 http://fr.archive.ubuntu.com/ubuntu/ lucid/universe away 0.9.5-3 [18,9kB]
18,9ko réceptionnés en 0s (22,2ko/s)
Sélection du paquet away précédemment désélectionné.
(Lecture de la base de données... 100289 fichiers et répertoires déjà installés.)
Dépaquetage de away (à partir de .../away_0.9.5-3_amd64.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de away (0.9.5-3) ...

avatar joneskind 24/01/2013 - 21:17

@Domsou :

Tu peux me tutoyer camarade, sur internet on est tous égaux.

Sinon lmouillart a l'air de dire que les Distro Debian sont maintenues que 3 ans...

Je voudrais rendre vie à une machine qui a 10 ans avec avec un vieux Athlon, 512mo de RAM et une CG 128mo. Pour l'instant je m'en sors avec un Xubuntu 12.04, mais Gnome Office est inutilisable donc je dois passer à LibreOffice (et ces dépendances à Java) qui n'est pas fort bien intégré à Gnome. Flash ne marche plus du tout (exit Deezer) et y a quelques bricoles qui ne marchent plus non plus comme l'applet gnome-menu qui me permettait de faire un menu Finder et ainsi économiser un peu de place sur le petit écran 19" et affiner un peu l'interface générale de Gnome qui est un peu épaisse. Hardy était parfait pour moi, mais s'il est troué de partout c'est peut-être pas une bonne idée. En même temps ça reste un UNIX donc ce sera toujours moins pire que XP (qui fini par ramer à mort au bout d'une semaine d'utilisation à cause du manque de RAM sans doute qui force le système à Swaper comme un dingue - sur Ubuntu ma partition de Swap est sur un autre disque et déclenchée à 5% de RAM libre pour pas que le bouzin commence à bloquer au bout de 3 pages internet)

avatar joneskind 24/01/2013 - 21:22

@f3nr1l :

La 10.04 c'est normal, c'est une LTS. Je chercherai plutôt une 8.04 pour récupérer Flash et accéder à Deezer et quelques vidéos d'actualités qui sont souvent sur YouTube et pratiquement jamais en HTML5. La machine n'est pas pour moi.

avatar f3nr1l 24/01/2013 - 21:35

@joneskind:

Juste pour info, pourquoi une 8.04? Les distros plus récentes sont trop gourmandes en ressources ?
Sinon, je viens de ré-essayer sur une 9.10 et j'accède aussi aux dépôts.

avatar joneskind 24/01/2013 - 22:03

@f3nr1l :

C'est pas tellement une question de gourmandise vu que j'active et installe plus ou moins ce que je veux. C'est juste que depuis la 10.04 j'ai plus les mêmes drivers pour ma carte ATI ce qui fait que certains trucs ne marchent plus. Et puis effectivement, sur Hardy je pouvais utiliser Compiz sans problème (et avoir quelques petits effets sympas pour le changement de bureau et l'ouverture des fenêtres) que je n'ai plus sous 12.04.
Et aussi j'utilise plutôt gnome office et c'est une vrai cata sur la 12.04. Et je préfère aussi une 8.04 LTS à une 9.04 parce qu'elle a été soutenue plus longtemps donc plus stable.

avatar joneskind 24/01/2013 - 22:29

Sinon ça n'a rien à voir mais le gars a un casque d'iPhone 5 ^_^

avatar lemail2mi 24/01/2013 - 22:59

@ BenUp
Je ne sais pas si t'as déjà essayé mais le passage d'une stable à l'autre n'est jamais "smooth".
Ce que je voulais dire, c'est que le support des version stable est un peu plus long et que tant qu'une version est marquée oldstable, elle a le droit à des mises à jours de sécurité.

Pages

Connexion utilisateur